<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [EventEmitter](./puppeteer.eventemitter.md) &gt; [addListener](./puppeteer.eventemitter.addlistener.md)

## EventEmitter.addListener() method

> Warning: This API is now obsolete.
> 
> please use `on` instead.
> 

Add an event listener.

<b>Signature:</b>

```typescript
addListener(event: EventType, handler: Handler): EventEmitter;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  event | EventType |  |
|  handler | Handler |  |

<b>Returns:</b>

[EventEmitter](./puppeteer.eventemitter.md)

